## org.hibernate.persister.entity
Class Queryable.Declarer

    java.lang.Object
      org.hibernate.persister.entity.Queryable.Declarer

Enclosing interface:
  Queryable

    public static class Queryable.Declarer

extends Object

Field Summary
`static Queryable.Declarer` `CLASS`
`static Queryable.Declarer` `SUBCLASS`
`static Queryable.Declarer` `SUPERCLASS`

Constructor Summary
`Queryable.Declarer(String name)`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS

    public static final Queryable.Declarer CLASS

### SUBCLASS

    public static final Queryable.Declarer SUBCLASS

### SUPERCLASS

    public static final Queryable.Declarer SUPERCLASS

Constructor Detail

### Queryable.Declarer

    public Queryable.Declarer(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.